<sqtm-core-entity-view-wrapper>
  @if (detailedTestStepViewService.componentData$ | async; as componentData) {
    @if (
      detailedTestStepViewService.currentStepData$ | async;
      as currentStepData
    ) {
      @if (currentStepData.kind === 'action-step') {
        <div class="full-width full-height p-10" style="overflow: auto">
          <sqtm-app-detailed-action-step
            [actionStep]="currentStepData"
            [editable]="
              componentData.permissions.canWrite &&
              componentData.milestonesAllowModification
            "
            [canAttach]="componentData.permissions.canAttach"
            [customFields]="
              extractCustomFields(componentData.projectData.customFieldBinding)
            "
          ></sqtm-app-detailed-action-step>
        </div>
      }
      @if (currentStepData.kind === 'call-step') {
        <div class="full-width full-height p-10" style="overflow: auto">
          <sqtm-app-detailed-call-step
            [editable]="
              componentData.permissions.canWrite &&
              componentData.milestonesAllowModification
            "
            [callTestStep]="currentStepData"
            [testCase]="componentData.testCase"
          >
          </sqtm-app-detailed-call-step>
        </div>
      }
      @if (currentStepData.kind === 'create-action-step-form') {
        <div class="full-width full-height p-10" style="overflow: auto">
          <sqtm-app-detailed-create-step-form
            [testCaseId]="componentData.testCase.id"
            [step]="currentStepData"
            [customFields]="
              extractCustomFields(componentData.projectData.customFieldBinding)
            "
          >
          </sqtm-app-detailed-create-step-form>
        </div>
      }
    }
  }
</sqtm-core-entity-view-wrapper>
